Up

# GSHbox

### Authors

Nicola Pero (`n.pero@mi.flashnet.it`)

> The GSHbox class (a GNU extension)

Copyright: (C) 1999 Free Software Foundation, Inc.

# Software documentation for the GSHbox class

## GSHbox : GSTable

> Declared in:
>   GNUstepGUI/GSHbox.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -addSeparator
- -addSeparatorWithMinXMargin:
- -addView:
- -addView:enablingXResizing:
- -addView:enablingXResizing:withMinXMargin:
- -addView:withMinXMargin:
- -init
- -numberOfViews
- -setDefaultMinXMargin:

### addSeparator

- (void) addSeparator;

Description forthcoming.

### addSeparatorWithMinXMargin:

- (void) addSeparatorWithMinXMargin: (float)aMargin;

Description forthcoming.

### addView:

- (void) addView: (NSView*)aView;

Description forthcoming.

### addView:enablingXResizing:

- (void) addView: (NSView*)aView enablingXResizing: (BOOL)aFlag;

Description forthcoming.

### addView:enablingXResizing:withMinXMargin:

- (void) addView: (NSView*)aView enablingXResizing: (BOOL)aFlag withMinXMargin: (float)aMargin;

Description forthcoming.

### addView:withMinXMargin:

- (void) addView: (NSView*)aView withMinXMargin: (float)aMargin;

Description forthcoming.

### init

- (id) init;

Description forthcoming.

### numberOfViews

- (int) numberOfViews;

Description forthcoming.

### setDefaultMinXMargin:

- (void) setDefaultMinXMargin: (float)aMargin;

Description forthcoming.

Up